Package sudoku.structure

# Class StateManager

java.lang.Object
sudoku.structure.StateManager

public class StateManager extends Object
Une pile, qui réprésente les états d'un MultiDoku, utile pour les Solvers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StateManager(MultiDoku doku)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<Cell,Integer>`
  `popAndGetState()`
  `void`
  `popState()`
  `Map<Cell,Integer>`
  `pushState()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StateManager

    public StateManager(MultiDoku doku)

- ## Method Details

  - ### pushState

    public Map<Cell,Integer> pushState()

  - ### popState

    public void popState()

  - ### popAndGetState

    public Map<Cell,Integer> popAndGetState()